
QGIS Application - Bug report #5145

Segmentation fault when exiting qgis in master

2012-03-09 08:34 AM - Etienne Tourigny

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14901

Description

this has also been confirmed by another user

debug output and gdb stacktrace:

Debug: src/app/legend/qgslegend.cpp: 202: (removeAll) Entering.

Debug: src/app/legend/qgslegend.cpp: 1828: (updateMapCanvasLayerSet) Entering.

Debug: src/gui/qgsmapcanvas.cpp: 1560: (mapToolDestroyed) maptool destroyed

Debug: src/app/legend/qgslegend.cpp: 202: (removeAll) Entering.

Debug: src/app/legend/qgslegend.cpp: 1828: (updateMapCanvasLayerSet) Entering.

Program received signal SIGSEGV, Segmentation fault.

0x00000000026f5b60 in ?? ()

(gdb) bt

#0  0x00000000026f5b60 in ?? ()

#1  0x00007ffff2fac696 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#2  0x00007ffff2fa9511 in QMainWindow::statusBar() const () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#3  0x0000000000640fb0 in QgsMapToolOffsetCurve::deleteDistanceItem (this=0x110a8c0) at

/home/src/qgis/qgis-master/src/app/qgsmaptooloffsetcurve.cpp:319

#4  0x000000000063fab6 in QgsMapToolOffsetCurve::~QgsMapToolOffsetCurve (this=0x110a8c0, __in_chrg=<optimized out>)

at /home/src/qgis/qgis-master/src/app/qgsmaptooloffsetcurve.cpp:36

#5  0x000000000063fb94 in QgsMapToolOffsetCurve::~QgsMapToolOffsetCurve (this=0x110a8c0, __in_chrg=<optimized out>)

at /home/src/qgis/qgis-master/src/app/qgsmaptooloffsetcurve.cpp:38

#6  0x00007ffff37fad75 in QObjectPrivate::deleteChildren() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#7  0x00007ffff2be412a in QWidget::~QWidget() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#8  0x00007ffff418e418 in QgsMapCanvas::~QgsMapCanvas (this=0xfa5260, __in_chrg=<optimized out>) at

/home/src/qgis/qgis-master/src/gui/qgsmapcanvas.cpp:140

#9  0x00007ffff418e4c2 in QgsMapCanvas::~QgsMapCanvas (this=0xfa5260, __in_chrg=<optimized out>) at

/home/src/qgis/qgis-master/src/gui/qgsmapcanvas.cpp:167

#10 0x00007ffff37fad75 in QObjectPrivate::deleteChildren() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#11 0x00007ffff2be412a in QWidget::~QWidget() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#12 0x0000000000535e69 in QgisApp::~QgisApp (this=0xe4ab00, __in_chrg=<optimized out>) at

/home/src/qgis/qgis-master/src/app/qgisapp.cpp:641

#13 0x0000000000535f7c in QgisApp::~QgisApp (this=0xe4ab00, __in_chrg=<optimized out>) at

/home/src/qgis/qgis-master/src/app/qgisapp.cpp:689

#14 0x0000000000530c74 in main (argc=1, argv=0x7fffffffd938) at /home/src/qgis/qgis-master/src/app/main.cpp:788

(gdb) q
History

#1 - 2012-03-09 09:03 AM - Salvatore Larosa

the same for me (that user is me! ;-)):

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff2abc4d3 in ?? () from /usr/lib/libQtGui.so.4

(gdb) bt

#0  0x00007ffff2abc4d3 in ?? () from /usr/lib/libQtGui.so.4

#1  0x00007ffff2ab9351 in QMainWindow::statusBar() const ()

from /usr/lib/libQtGui.so.4

#2  0x000000000064b24a in QgsMapToolOffsetCurve::deleteDistanceItem() ()

#3  0x0000000000649d42 in

QgsMapToolOffsetCurve::~QgsMapToolOffsetCurve() ()

#4  0x0000000000649e20 in

QgsMapToolOffsetCurve::~QgsMapToolOffsetCurve() ()

#5  0x00007ffff32ecd75 in QObjectPrivate::deleteChildren() ()

from /usr/lib/libQtCore.so.4

#6  0x00007ffff26f8733 in QWidget::~QWidget() ()

from /usr/lib/libQtGui.so.4

#7  0x00007ffff3eb89a0 in QgsMapCanvas::~QgsMapCanvas() ()

   from /usr/local/lib/libqgis_gui.so.1.9.90

#8  0x00007ffff3eb8a4a in QgsMapCanvas::~QgsMapCanvas() ()

   from /usr/local/lib/libqgis_gui.so.1.9.90

#9  0x00007ffff32ecd75 in QObjectPrivate::deleteChildren() ()

from /usr/lib/libQtCore.so.4

#10 0x00007ffff26f8733 in QWidget::~QWidget() ()

from /usr/lib/libQtGui.so.4

#11 0x000000000054b0c5 in QgisApp::~QgisApp() ()

#12 0x000000000054b1d8 in QgisApp::~QgisApp() ()

#13 0x00000000005464c9 in main ()

#2 - 2012-03-09 09:07 AM - Salvatore Larosa

Sorry, the preformatted text did not work!

#3 - 2012-03-09 12:27 PM - Marco Hugentobler

- Status changed from Open to Resolved

Should be fixed now in master, commit 3e0fb86ccea4669865696f8ab0ea527b9334db95

Please test (and reopen the ticket if the issue persist)

#4 - 2012-03-09 01:26 PM - Etienne Tourigny

fix ok

#5 - 2012-03-09 02:05 PM - Salvatore Larosa
for me too!

thanks!

#6 - 2012-03-12 02:13 AM - Marco Hugentobler

- Status changed from Resolved to Closed
